# coding=utf-8
import piexif
from PIL import Image
import os
if __name__ == '__main__':
    filelist = os.listdir('.')
    file_num=len(filelist)
    for k in range(1,file_num):
        filename=filelist[k]
        filename_split=filename.split('.')
        filename_type=filename_split[len(filename_split)-1].lower()
        if filename_type=='jpg' or filename_type=='jpeg':
            print('Converting...'+filename)
            img = Image.open(filename)
            exif_dict = piexif.load(img.info['exif'])
            exif_bytes = piexif.dump(exif_dict)
            img.save(filename, exif=exif_bytes, format='JPEG', subsampling=0, quality=100)